function objetoAjax()
    {

    var xmlHttp;
        try
        { // Firefox, Opera 8.0+, Safari
        xmlHttp=new XMLHttpRequest();
        }
    catch (e)
        {      // Internet Explorer
        try
            {
            xmlHttp=new ActiveXObject("Msxml2.XMLHTTP");
            }
        catch (e)
            {
            try
                {
                xmlHttp=new ActiveXObject("Microsoft.XMLHTTP");
                }
            catch (e)
                {
                alert("Your browser does not support AJAX!");
                return false;
                }
            }
        }
    return xmlHttp;
}

function consultarserv(){
      var idj = document.getElementById("cbjef").value;
      if(idj == 0){
        alert('Seleccione DIDAE o Dpto'); return;
      }
       divResultado = document.getElementById('divserv');
       divResultado.innerHTML= "<img src='../../img/anim.gif'>";
       ajax2=objetoAjax();
       var aleatorio=Math.random();
       ajax2.open("GET", "cbserv.php?idj="+idj+"&aleatorio="+aleatorio,false);
       ajax2.onreadystatechange=function() {
        if (ajax2.readyState==4 && ajax2.status==200) {
         divResultado.innerHTML = ajax2.responseText
        }
       }
       ajax2.send(null)

}


function listarpersonal(tipo){
  if(tipo==1){
   var idj = document.getElementById('cbjef').value;
   var ids = document.getElementById('cbserv').value;
   var idtp = document.getElementById('cbtp').value;
   var idtc = document.getElementById('cbtc').value;
   var per = document.getElementById('cbper').value;
   var nom = '';
  }else if(tipo==2){
   var idj = 0;
   var ids = 0;
   var idtp = 0;
   var idtc = 0;
   var nom = document.getElementById('txtnombre').value;
   var per = document.getElementById('cbper').value;
 }
   //alert(esp);
 divResultado = document.getElementById('admlista');
 divResultado.innerHTML= '<center><img src="../../img/anim.gif"></center>';
 ajax=objetoAjax();
 var aleatorio=Math.random();
 ajax.open("GET", "listarpersonal.php?idj="+idj+"&ids="+ids+"&idtp="+idtp+"&idtc="+idtc+"&nom="+nom+"&per="+per+"&aleatorio="+aleatorio);
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}

function listarpersonalterm1servicio(){

   var idj = document.getElementById('depa').value;
   var ids = document.getElementById('serv').value;
   var tp = document.getElementById('tipopersonal').value;
   var esp = document.getElementById('especialidad').value;
   var tcont = document.getElementById('tcontrato').value;
   //alert(esp);
 divResultado = document.getElementById('admlista');
 divResultado.innerHTML= '<img src="../../img/anim.gif">';
 ajax=objetoAjax();
 var aleatorio=Math.random();
 ajax.open("GET", "listarpersonaltermserv.php?idj="+idj+"&ids="+ids+"&tp="+tp+"&esp="+esp+"&aleatorio="+aleatorio+"&tcont="+tcont+"&tbusq=1");
 ajax.onreadystatechange=function() {
  if (ajax.readyState==4 && ajax.status==200) {
   divResultado.innerHTML = ajax.responseText
  }
 }
 ajax.send(null)
}

function actualizar_div_vaca(){

  var ugid = document.getElementById('ugid').value;
  var per =  window.opener.document.getElementById('cbper').value;
   divResultado = window.opener.document.getElementById('div'+ugid);
   divResultado.innerHTML= '<img src="../../img/anim.gif">';
   ajax=objetoAjax();
   var aleatorio=Math.random();
   ajax.open("GET", "actualizarestado.php?ugid="+ugid+"&per="+per+"&aleatorio="+aleatorio);
   ajax.onreadystatechange=function() {
      if (ajax.readyState==4 && ajax.status==200) {
          divResultado.innerHTML = ajax.responseText
      }
  }
 ajax.send(null)
}

function ver_observacion(){

  var ugid = document.getElementById('ugid').value;
  var idv = document.getElementById('idfechasp').value;
  if(idv == ''){
    return;
  }
   divResultado = document.getElementById('divsusvaca');
   divResultado.innerHTML= '<img src="../../img/anim.gif">';
   ajax=objetoAjax();
   var aleatorio=Math.random();
   ajax.open("GET", "actualizarobs.php?ugid="+ugid+"&idv="+idv+"&aleatorio="+aleatorio);
   ajax.onreadystatechange=function() {
      if (ajax.readyState==4 && ajax.status==200) {
          divResultado.innerHTML = ajax.responseText
      }
  }
 ajax.send(null)
}

function agregar_movcontrato(){
  var ugid = document.getElementById('ugid').value;
  window.open("movcontrato2.php?ugid="+ugid,"","height=300,width=350,scrollbars=YES");

}

function ver_detallevaca(num){
  var ugid = document.getElementById('vacdet'+num).value;
  window.open("verdetvacaciones.php?ugid="+ugid,"","height=570,width=400,scrollbars=YES");

}

function GrabarVaca(){
	var ugid = document.getElementById('ugid').value;
  var periodo = document.getElementById('anno').value;

if(document.getElementById('mes').checked==false && document.getElementById('fecha').checked==false ){
    alert('Seleccione Tipo Vacaciones'); return;
}else{
  if(document.getElementById('mes').checked==true){
    var f_anno = document.getElementById('cbanno').value;
    var f_mes = document.getElementById('cbmes').value;
    window.location ="verdetvacaciones.php?ugid="+ugid+"&fmes="+f_mes+"&fanno="+f_anno+"&periodo="+periodo+"&tvaca=1";
  }
  if(document.getElementById('fecha').checked==true){
      if(document.getElementById('btn_upd').value=='NoModificar'){
        var dat='3';
        var idv = document.getElementById('idvmod').value;
      }else{
        var dat='2'
        var idv = 0;
      }
      var f_ini = document.getElementById('txtfini').value;
    	var f_fin = document.getElementById('txtffin').value;

            if(f_ini != '' && f_fin != ''){
                d_ini=f_ini.substring(0,2);
                m_ini=f_ini.substring(3,5);
                a_ini=f_ini.substring(6,10);
                var F_ini = new Date(a_ini+"/"+m_ini+"/"+d_ini);

                d_fin=f_fin.substring(0,2);
                m_fin=f_fin.substring(3,5);
                a_fin=f_fin.substring(6,10);
                var F_fin = new Date(a_fin+"/"+m_fin+"/"+d_fin);
                resFechas = F_fin - F_ini;
                resFechas=((((resFechas/1000)/60)/60)/24) + 1;
                    if(resFechas<31 && resFechas>0){
                      window.location ="verdetvacaciones.php?ugid="+ugid+"&fechaini="+f_ini+"&fechafin="+f_fin+"&periodo="+periodo+"&tvaca="+dat+"&idv="+idv;
                    }else{
                     alert("Verifique las Fechas"); return;
                    }
            }else{
                if(f_ini==''){
                  alert("Ingrese la fecha Inicial"); return;
                }
                if(f_fin==''){
                  alert("Ingrese la fecha Final"); return;
                }
            }
    }

  }

}
